<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd" >
<mapper namespace="com.calorie.mapper.workout.ServiceCensorMapper">
    <insert id="insertNewServiceForCensor">
        insert into service_censor(service_name, service_introduction, service_image, service_calorie, service_time,
                                   service_location,service_category,
                                   service_shop_id, service_censor_create_date, service_censor_status,
                                   service_censor_msg,
                                   service_censor_type)
        values (#{serviceName}, #{serviceIntroduction}, #{serviceImage}, #{serviceCalorie}, #{serviceTime},
                #{serviceLocation},#{serviceCategory},
                #{serviceShopId}, #{serviceCensorCreateDate}, #{serviceCensorStatus}, #{serviceCensorMsg},
                #{serviceCensorType});

    </insert>


    <select id="selectAllServiceCensor" resultType="ServiceCensor">
        select *
        from service_censor
        where service_censor_status = 0
        order by service_censor_create_date desc
    </select>

    <select id="selectServiceCensorByServiceId" resultType="ServiceCensor">
        select *
        from service_censor
        where service_censor_id = #{serviceCensorId}
    </select>


    <update id="updateRejectServiceMsg">
        update service_censor
        set service_censor_status = #{serviceCensorStatus},
            service_censor_msg = #{serviceCensorMsg}
        where service_censor_id = #{serviceCensorId}
    </update>


</mapper>